summaryrefslogtreecommitdiffstats
path: root/openwrt/target/default/target_skeleton/bin
diff options
context:
space:
mode:
authormbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-23 21:44:17 +0000
committermbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-23 21:44:17 +0000
commit0dc9c4c30bd3e600809c64c4f8ca244c23e89888 (patch)
tree0be7546e2a40d9732aea1519da751c649ff417c4 /openwrt/target/default/target_skeleton/bin
parent55a26ce7cb6f702507d8413b018b6dfcb4d16c64 (diff)
hide some non-critical error messages; prevent newbie bug reports
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@1028 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/target/default/target_skeleton/bin')
-rwxr-xr-xopenwrt/target/default/target_skeleton/bin/firstboot5
1 files changed, 5 insertions, 0 deletions
diff --git a/openwrt/target/default/target_skeleton/bin/firstboot b/openwrt/target/default/target_skeleton/bin/firstboot
index 2e7481db8..cef258cf3 100755
--- a/openwrt/target/default/target_skeleton/bin/firstboot
+++ b/openwrt/target/default/target_skeleton/bin/firstboot
@@ -1,6 +1,11 @@
#!/bin/sh
# $Id$
+mount | grep squashfs >&- || {
+ echo "You do not have a squashfs partition; aborting"
+ echo "(firstboot cannot be run on jffs2 based firmwares)"
+ return
+}
[ -f "/tmp/.firstboot" ] && {
echo "firstboot is already running"